> ## Documentation Index
> Fetch the complete documentation index at: https://docs.azalt.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Gösterge verisini bileşen ayarlarıyla getir

> Pano bileşeni ayarlarına göre gösterge verisi üretir.

**Girdi parametreleri**:
- Görselleştirme tipi (tablo, grafik vb.)
- Dönem aralığı ve frekans
- Tesis filtreleri ve diğer bileşen ayarları

**Çıktı**:
- Seçilen görsel tipe uygun veri dizileri
- Kullanılan filtre ve hesaplama meta verileri
- Veri kalitesi ve doluluk bilgileri

Panolarda gösterge verisini görselleştirmek için idealdir.



## OpenAPI

````yaml https://app.azalt.co/api/v1/openapi.tr.json post /indicators/{indicatorId}/data
openapi: 3.0.3
info:
  title: Erguvan Genel API
  version: 1.0.0
  description: Erguvan platformuna entegrasyon için REST API referansının Türkçe sürümü.
servers:
  - url: https://app.azalt.co/api/v1
security: []
tags:
  - name: Activity
    x-displayName: Aktiviteler
  - name: ActivityDefinition
    x-displayName: Aktivite Tanımları
  - name: ApiKey
    x-displayName: API Anahtarları
  - name: Dashboard
    x-displayName: Panolar
  - name: DashboardWidget
    x-displayName: Pano Bileşenleri
  - name: Dataset
    x-displayName: Veri Setleri
  - name: DatasetItem
    x-displayName: Veri Seti Öğeleri
  - name: File
    x-displayName: Dosyalar
  - name: Form
    x-displayName: Formlar
  - name: FormElement
    x-displayName: Form Öğeleri
  - name: FormElementSubmission
    x-displayName: Form Öğesi Gönderimleri
  - name: FormSite
    x-displayName: Form-Tesis İlişkilendirmeleri
  - name: FormSubmission
    x-displayName: Form Gönderimleri
  - name: Indicator
    x-displayName: Göstergeler
  - name: Organization
    x-displayName: Organizasyonlar
  - name: Site
    x-displayName: Tesisler
  - name: Target
    x-displayName: Hedefler
  - name: Unit
    x-displayName: Birimler
  - name: User
    x-displayName: Kullanıcılar
paths:
  /indicators/{indicatorId}/data:
    post:
      tags:
        - Indicator
      summary: Gösterge verisini bileşen ayarlarıyla getir
      description: |-
        Pano bileşeni ayarlarına göre gösterge verisi üretir.

        **Girdi parametreleri**:
        - Görselleştirme tipi (tablo, grafik vb.)
        - Dönem aralığı ve frekans
        - Tesis filtreleri ve diğer bileşen ayarları

        **Çıktı**:
        - Seçilen görsel tipe uygun veri dizileri
        - Kullanılan filtre ve hesaplama meta verileri
        - Veri kalitesi ve doluluk bilgileri

        Panolarda gösterge verisini görselleştirmek için idealdir.
      operationId: getIndicatorData
      parameters:
        - in: path
          name: indicatorId
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                widgetSettings:
                  type: object
                  properties:
                    indicatorDatasetMappings:
                      type: object
                      additionalProperties:
                        type: object
                        properties:
                          useDatasetValue:
                            type: boolean
                          datasetId:
                            type: string
                            nullable: true
                          name:
                            type: string
                            nullable: true
                          field:
                            type: string
                            nullable: true
                        required:
                          - useDatasetValue
                          - datasetId
                          - name
                          - field
                        additionalProperties: false
                      default: {}
                    period:
                      type: string
                      enum:
                        - MONTHLY
                        - QUARTERLY
                        - YEARLY
                        - TIMESTAMP
                    displayMode:
                      type: string
                      enum:
                        - sites
                        - aggregated
                        - groups
                    decimalPlaces:
                      type: number
                    aggregator:
                      type: string
                      enum:
                        - sum
                        - avg
                        - ratio
                    showNumbers:
                      type: boolean
                    showIndicatorName:
                      type: boolean
                    angle:
                      type: number
                    chartSettings:
                      type: string
                      enum:
                        - default
                        - stacked
                        - percent
                    siteGroups:
                      type: array
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                          name:
                            type: string
                          siteIds:
                            type: array
                            items:
                              type: string
                        required:
                          - id
                          - name
                          - siteIds
                    siteGroupIds:
                      type: array
                      items:
                        type: string
                    timeGranularity:
                      type: string
                      enum:
                        - monthly
                        - daily
                        - hourly
                    displayUnitId:
                      type: string
                siteFilter:
                  type: object
                  properties:
                    siteIds:
                      type: array
                      items:
                        type: string
                  required:
                    - siteIds
                yearFilter:
                  type: object
                  properties:
                    startYear:
                      type: number
                    endYear:
                      type: number
                  required:
                    - startYear
                    - endYear
                dateFilter:
                  type: object
                  properties:
                    startDate:
                      type: string
                    endDate:
                      type: string
                statusFilter:
                  type: object
                  properties:
                    statuses:
                      type: array
                      items:
                        type: string
                        enum:
                          - COMPLETED
                          - APPROVED
                          - REJECTED
                  required:
                    - statuses
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema: {}
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - Authorization: []
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````